Trouble installing packages from the Debian buster repository

NoahLE asked:

I’m trying to install i3 on Debian buster and it can’t find the package. I’m not sure what I’m missing so I can install this package.

These are the errors that I’m getting:

> apt install i3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package i3
> apt install i3-wm
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package i3-wm

This is my /etc/apt/sources.list file

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free

I’ve tried running apt update and apt-get update, before trying to install the package but got the same error.

Here’s the Debian repo: https://packages.debian.org/sid/i3

And the tracker: https://tracker.debian.org/pkg/i3-wm

In case it helps, I tried installing Zeal but am getting the same error.

Am I missing a setting or something to be able to install these packages?

My answer:


You currently only have the LTS and updates repositories. These have only updates, not all packages. You’re missing the base Debian repositories, i.e.:

deb http://deb.debian.org/debian buster main
deb-src http://deb.debian.org/debian buster main

View the full question and any other answers on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.